<?php

header("Content-Type: application/json");
require_once "shop.php";

if(!empty($_COOKIE['cart_list']) && !is_countable(json_decode($_COOKIE['cart_list'],true)))
{
	setcookie("cart_list" , null , time() - 10);
	die();
}

$cart_list_entity = [];
$cart_list_entity["status"] = 1;

if (!empty($_GET['pid']) && @$_GET['state'] == "add") {

	$product_ID = $_GET['pid'];

	if (!product_exist($product_ID)) {
		die('{"msg" : "محصول وجود ندارد" , "status" : 0}');
	}

	$cart_list_entity["msg"] = "با موفقیت اضافه گردید";

	if (empty($_COOKIE['cart_list'])) {
		$cart_list_entity["pid_list"][] = $product_ID;

	} else if (!empty($_COOKIE['cart_list'])) {
		$cart_list_entity["pid_list"] = @json_decode($_COOKIE['cart_list'], true);

		if (count($cart_list_entity["pid_list"]) <= 9) {

			foreach ($cart_list_entity["pid_list"] as $pid) {

				if ($pid == $product_ID) {
					$cart_list_entity["status"] = 0;
					$cart_list_entity["msg"] = "محصول مورد نظر از قبل اضافه شده";
					break;
				}
			}

		} else {

			$cart_list_entity["status"] = 0;
			$cart_list_entity["msg"] = "حداکثر تعداد اقلام برای سبد خرید 10 عدد می باشد";
		}

		if ($cart_list_entity["status"] == 1) {

			array_push($cart_list_entity["pid_list"], $product_ID);
		}

	}

	setcookie('cart_list', @json_encode($cart_list_entity["pid_list"]), time() + 86400 * 30);

	print_json_data($cart_list_entity);

} else if (!empty($_GET['pid']) && @$_GET['state'] == "rmv") {

	$product_ID = $_GET['pid'];

	$cart_list_entity["msg"] = "با موفقیت حذف گردید";
	$cart_list_entity["pid_list"] = [];

	if (!empty($_COOKIE['cart_list'])) {
		$cart_list_entity["pid_list"] = @json_decode($_COOKIE['cart_list'], true);

		foreach ($cart_list_entity["pid_list"] as $pid_key => $pid) {

			if ($pid == $product_ID) {
				unset($cart_list_entity["pid_list"][$pid_key]);
				break;
			}
		}

	}

	setcookie('cart_list', @json_encode($cart_list_entity["pid_list"]) , time() + 86400 * 30);

	print_json_data($cart_list_entity);

} else if (!empty($_GET['rcv']) && $_GET['rcv'] == "true") {

	if (!empty($_COOKIE['cart_list'])) {

		$cart_list_entity["msg"] = "لیست سبد خرید";
		$cart_list_entity["pid_list"] = @json_decode($_COOKIE['cart_list'], true);

		print_json_data($cart_list_entity);
	}

} else {
	echo '{"msg" : "هیچ پارامتری تعریف نشده" , "status" : 0}';
}

?>