<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RapidCode.IR - سبد خرید در PHP</title>
    <style>
    body {
        text-align: center;
        overflow-x: hidden;
    }

    #introduce {
        color: white;
        text-decoration: none;
        font-weight: bold;
        display: block;
        width: 100%;
        padding: 5px 10px;
        background-color: #4CAF50;
        text-align: center;
        font-size: 25px;
        margin-bottom: 45px;
    }

    .container{
        width: 70%;
        margin: 15px auto;
        direction: rtl;
    }

    .ds-none{
        display: none !important;
    }

    article {
    width: 25%;
    border: 2px solid skyblue;
    padding: 10px;
    float: right;
    margin-left: 15px;
    }

    article img {
    width: 200px;
	height: 200px;
    object-fit: cover;
    }

    article h2{
        height: 82px;
    }

    article p{
        height: 56px;
        overflow: hidden;
    }

    article a {
    text-decoration: none;
    font-weight: bold;
    background-color: #4CAF50;
    color: white;
    width: 100%;
    padding: 10px 0;
    display: block;
    }

    #cart-ajax-result{
        display: block;
        width: 50%;
        margin-right: 25%;
        padding-top: 30px;
        position: absolute;
        left: 25%;
        margin-top: 15px;
        background: green;
        color: white;

    }

    #cart-ajax-result tr{
        box-shadow: 0px 7px 5px black;  
        margin-bottom: 5px;
    }

    #cart-ajax-result td img{
        width: 90px;
        height: 90px;
        object-fit: contain;
        border: 1px solid;
    }

    #cart-ajax-result td a{
        text-decoration: none;
        font-weight: bold;
        color: black;
        font-size: medium;
    }

    #cart-ajax-result .remove-from-cart{
        font-size: large;
        font-weight: bold;
        color: white;
        background-color: #F44336;
        padding: 5px;
        cursor: pointer;
    }

    #price{
        display: block;
        color: orange;
        font-weight: bold;
    }

    #cart-btn{
        padding: 5px 15px;
        background-color: orange;
        font-weight: bold;
        font-size: large;
        border-bottom: 2px solid grey;
        cursor: pointer;
    }

    #cart-btn:hover{
        border-color: black;
    }


    </style>
</head>

<body>
    <a id="introduce" target="_blank" href="https://rapidcode.ir">رپید کد - کتابخانه مجازی برنامه نویسان</a>

    <div class="container">

            <div class="cart-wrapper">
			
            <span id="cart-btn">سبد خرید</span>

            <table id="cart-ajax-result" class="ds-none">
               <tbody id="cart-ajax-result-body">

                
                
               </tbody>
            </table>


            </div>
        

<?php 

require_once "shop.php";
$rows = loop_product();



?>


<h1><?php echo $GLOBALS['title'] ?></h1>

<?php

foreach ($rows as $row):

?>
    <article>
        <img src="<?php echo $row['thumbnail'] ?>" alt="<?php echo $row['title'] ?>">

        <h2><?php echo $row['title'] ?></h2>

        <p><?php echo $row['content'] ?></p>

        <span id="price"><?php echo $row['price'] ?> تومان</span><br>


        <a class="add-to-cart" href="#<?php echo $row['id'] ?>" id="pid_<?php echo $row['id'] ?>" data-ID="<?php echo $row['id'] ?>" data-added="false">افزودن به سبد خرید</a>

    </article>

<?php endforeach;?>

    </div>


    <script src="app.js"></script>
</body>
</html>